Firewalls syncStatus¶
GET/
Firewall Management API · Firewall Groups
Synchronization status for the firewalls in a group.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
groupId | path | string (uuid) | Yes | Firewall group ID. |
ids | query | array of string (uuid) | No | CSV based UUID. |
page | query | integer | No | The page number to fetch, starting with 1. |
pageTotal | query | boolean | No | Whether the number of pages should be calculated and returned in the response. |
pageSize | query | integer | No | The size of the page requested. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-groups/<groupId>/firewalls/sync-status" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/firewall/v1/firewall-groups/<groupId>/firewalls/sync-status",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-groups/<groupId>/firewalls/sync-status" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-groups/<groupId>/firewalls/sync-status", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/firewall/v1/firewall-groups/<groupId>/firewalls/sync-status", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Synchronization status for firewalls in group retrieved successfully.¶
Response fields
itemsarray of objectrequiredItems must be unique.
Synchronization status for a firewall.
Show child attributesHide child attributes
firewallobjectrequiredFirewall ID.
Show child attributesHide child attributes
idstring (uuid)requiredFirewall ID.
statusstring (enum)requiredFirewall synchronization status.
Must be one of:
Must be one of:
notAvailable, syncing, inSync, outOfSync, suspended.lastUpdatedAtstring (date-time)requiredpagesobjectrequiredPagination information for the response object.
Show child attributesHide child attributes
currentintegerrequiredThe 1-based page number being returned.
totalinteger(Optional) The total number of pages that exist, if pageTotal=true in the request.
itemsinteger(Optional) The total number of items across all pages, if pageTotal=true in the request.
sizeintegerrequiredThe size of the page being returned.
maxSizeintegerrequiredThe maximum page size that can be requested.
Errors¶
| Status | Meaning |
|---|---|
400 | Invalid request. |
401 | Authentication required. |
403 | Authorization required. |
404 | Resource not found. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.